#!/bin/sh
set -efu

export PYTHONWARNINGS=d

python3_all="$(py3versions -s 2>/dev/null)"

cp -r test "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

for py in $python3_all; do
    echo "=== $py ==="
    $py -m pytest --verbose --ignore test/test_adapters.py \
    --ignore test/adapters/each_adapter.py \
    --ignore test/geocoders/arcgis.py \
    --ignore test/geocoders/banfrance.py \
    --ignore test/geocoders/databc.py \
    --ignore test/geocoders/geocodefarm.py \
    --ignore test/geocoders/geonames.py \
    --ignore test/geocoders/nominatim.py \
    --ignore test/geocoders/openmapquest.py \
    --ignore test/geocoders/photon.py \
    --ignore test/geocoders/pickpoint.py 2>&1
done

